git_deploy = {
    '/opt/infobeamer-cms': {
        'rev': 'MASTER',
        'repo': 'https://github.com/sophieschi/36c3-cms.git',
        'needs': {
            'directory:/opt/infobeamer-cms',
        },
        'triggers': {
            'svc_systemd:infobeamer-cms:restart',
        },
    },
}

directories = {
    '/opt/infobeamer-cms': {},
}

files = {
    '/opt/infobeamer-cms/settings.cfg': {
        'content_type': 'mako',
        'context': node.metadata.get('infobeamer-cms/config'),
        'needs': {
            'git_deploy:/opt/infobeamer-cms',
        },
        'triggers': {
            'svc_systemd:infobeamer-cms:restart',
        },
    },
    '/etc/systemd/system/infobeamer-cms.service': {
        'triggers': {
            'action:systemd-reload',
            'svc_systemd:infobeamer-cms:restart',
        },
    }
}

pkg_pip = {
    'github-flask': {
        'needed_by': {
            'git_deploy:/opt/infobeamer-cms',
        },
    },
}

svc_systemd = {
    'infobeamer-cms': {
        'needs': {
            'file:/opt/infobeamer-cms/settings.cfg',
        },
    },
}

users = {
    'infobeamer-cms': {
        'home': '/opt/infobeamer-cms',
    },
}
